import React from 'react';
import { Fieldset } from './index';
import { Field } from '../Field';
import { TextInput } from '../TextInput';
export default {
  component: Fieldset,
  title: 'Forms/Fieldset',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
var Template = function Template(args) {
  return /*#__PURE__*/React.createElement(Fieldset, args, /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 1",
    name: "address1"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 2",
    name: "address2"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "City",
    name: "city"
  })));
};
export var Default = Template.bind({});
Default.args = {
  legend: 'Example legend'
};
var TemplateHorizontal = function TemplateHorizontal(_) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Fieldset, {
    legend: "Home address"
  }, /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 1",
    name: "address1"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 2",
    name: "address2"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "City",
    name: "city"
  }))), /*#__PURE__*/React.createElement(Fieldset, {
    legend: "Work address"
  }, /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 1",
    name: "address1"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 2",
    name: "address2"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "City",
    name: "city"
  }))));
};
export var Horizontal = TemplateHorizontal.bind({});
var TemplateVertical = function TemplateVertical(_) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Fieldset, {
    type: "block",
    legend: "Home address"
  }, /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 1",
    name: "address1"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 2",
    name: "address2"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "City",
    name: "city"
  }))), /*#__PURE__*/React.createElement(Fieldset, {
    type: "block",
    legend: "Work address"
  }, /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 1",
    name: "address1"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "Address line 2",
    name: "address2"
  })), /*#__PURE__*/React.createElement(Field, null, /*#__PURE__*/React.createElement(TextInput, {
    label: "City",
    name: "city"
  }))));
};
export var Vertical = TemplateVertical.bind({});